"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useWeekDays = void 0;

var _dayjs = _interopRequireDefault(require("dayjs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useWeekDays = (selectedDate, firstDayMonday) => {
  const days = [];
  const startWeekType = firstDayMonday ? 'isoWeek' : 'week';
  const startOfWeek = (0, _dayjs.default)(selectedDate).startOf(startWeekType);

  for (let index = 0; index < 7; index++) {
    const currentDay = startOfWeek.add(index, 'day');
    const dow = currentDay.day();
    const isActive = currentDay.isSame(selectedDate);
    days.push({
      key: currentDay.format('YYYY-MM-DD'),
      id: currentDay.format('YYYY-MM-DD'),
      date: currentDay.toDate(),
      isToday: currentDay.isSame((0, _dayjs.default)()),
      isWeekend: dow === 6 || dow === 0,
      isMonthDate: true,
      isActive,
      isStartDate: isActive,
      isEndDate: isActive,
      isOutOfRange: false,
      isVisible: true,
      isHidden: false
    });
  }

  return days;
};

exports.useWeekDays = useWeekDays;
//# sourceMappingURL=Week.hooks.js.map