"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Week = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _reactNativeMonth = require("react-native-month");

var _Week = require("./Week.hooks");

var _Week2 = require("./Week.styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Week = _ref => {
  let {
    selectedDate,
    monthTheme = {},
    locale,
    firstDayMonday,
    markedDays = {},
    onPress
  } = _ref;
  const weekDayNames = (0, _reactNativeMonth.getDayNames)(locale, firstDayMonday);
  const days = (0, _Week.useWeekDays)(selectedDate, firstDayMonday);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNativeMonth.WeekDays, {
    days: weekDayNames,
    theme: monthTheme
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _Week2.viewStyles.weekContainer
  }, days.map(day => {
    var _markedDays$day$id, _markedDays$day$id2;

    return /*#__PURE__*/_react.default.createElement(_reactNativeMonth.Day, {
      key: day.key,
      item: day,
      dots: (_markedDays$day$id = markedDays[day.id]) === null || _markedDays$day$id === void 0 ? void 0 : _markedDays$day$id.dots,
      dayTheme: (_markedDays$day$id2 = markedDays[day.id]) === null || _markedDays$day$id2 === void 0 ? void 0 : _markedDays$day$id2.theme,
      onPress: onPress,
      theme: monthTheme
    });
  })));
};

exports.Week = Week;
//# sourceMappingURL=Week.js.map