import React from 'react';
import { View } from 'react-native';
import { WeekDays, Day, getDayNames } from 'react-native-month';
import { useWeekDays } from './Week.hooks';
import { viewStyles } from './Week.styles';
export const Week = _ref => {
  let {
    selectedDate,
    monthTheme = {},
    locale,
    firstDayMonday,
    markedDays = {},
    onPress
  } = _ref;
  const weekDayNames = getDayNames(locale, firstDayMonday);
  const days = useWeekDays(selectedDate, firstDayMonday);
  return /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(WeekDays, {
    days: weekDayNames,
    theme: monthTheme
  }), /*#__PURE__*/React.createElement(View, {
    style: viewStyles.weekContainer
  }, days.map(day => {
    var _markedDays$day$id, _markedDays$day$id2;

    return /*#__PURE__*/React.createElement(Day, {
      key: day.key,
      item: day,
      dots: (_markedDays$day$id = markedDays[day.id]) === null || _markedDays$day$id === void 0 ? void 0 : _markedDays$day$id.dots,
      dayTheme: (_markedDays$day$id2 = markedDays[day.id]) === null || _markedDays$day$id2 === void 0 ? void 0 : _markedDays$day$id2.theme,
      onPress: onPress,
      theme: monthTheme
    });
  })));
};
//# sourceMappingURL=Week.js.map